Get Deployment Values
GET
/deployments/{deployment_id}/values
const url = 'https://api.mengi.cloud/deployments/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/values';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.mengi.cloud/deployments/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/valuesGet the generated values.yaml for a deployment.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” deployment_id
required
Deployment Id
string format: uuid
Responses
Section titled “ Responses ”Successful Response
Media type application/json
DeploymentValuesResponse
object
deployment_id
required
Deployment Id
string format: uuid
values_yaml
required
Values Yaml
string
git_path
required
Git Path
string
Example generated
{ "deployment_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "values_yaml": "example", "git_path": "example"}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}